Page MenuHomePhabricator

Undefined property: CirrusSearch\InterwikiSearcher::$searchContext
Closed, ResolvedPublic

Description

We see in production this error in the logs:

Undefined property: CirrusSearch\InterwikiSearcher::$searchContext in /srv/mediawiki/php-1.28.0-wmf.11/extensions/CirrusSearch/includes/InterwikiSearcher.php on line 70

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : wmf/1.28.0-wmf.11Fix Searcher::$searchContext visibility
mediawiki/extensions/CirrusSearch : masterFix Searcher::$searchContext visibility

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJul 20 2016, 9:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Dereckson added a subscriber: EBernhardson.

$searchContext is private in Searcher, should be protected to do what 2d3f3780 wants to do.

Change 300168 had a related patch set uploaded (by Dereckson):
Fix Searcher::$searchContext visibility

https://gerrit.wikimedia.org/r/300168

Change 300168 merged by jenkins-bot:
Fix Searcher::$searchContext visibility

https://gerrit.wikimedia.org/r/300168

Change 300306 had a related patch set uploaded (by EBernhardson):
Fix Searcher::$searchContext visibility

https://gerrit.wikimedia.org/r/300306

Change 300306 merged by jenkins-bot:
Fix Searcher::$searchContext visibility

https://gerrit.wikimedia.org/r/300306

Mentioned in SAL [2016-07-21T16:46:51Z] <ebernhardson@tin> Synchronized php-1.28.0-wmf.11/extensions/CirrusSearch/includes/Searcher.php: T140950: Deploy UBN fix to CirruSearch (duration: 00m 31s)

patch deployed and verified search on it wikivoyage now works as expected

EBernhardson closed this task as Resolved.Jul 21 2016, 4:48 PM
Danny_B removed a subscriber: Danny_B.Jul 21 2016, 6:50 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM